{% extends "ajax/game/town/town.html.twig" %}
{% block content %}
    {% set hour = "now"|date("G") %}
    <div class="row">
        <div class="cell rw-12 town-banner town-banner-houses time-{{ hour }} {% if town.isNight %}night{% endif %}"></div>
    </div>

    <ul class="tabs plain">
        <li class="tab">
            <div class="tab-link" x-ajax-href="{{ path('town_citizens') }}">
                {% trans from 'game' %}Bürger{% endtrans %}
            </div>
        </li>
        {% for name,role in votesNeeded %}
            {% if role %}
            <li class="tab {% if selectedRole.id == role.id %}selected{% endif %}">
                <div class="tab-link" x-ajax-href="{{ path('town_citizen_vote', {roleId: role.id}) }}">
                    <img alt="" src="{{ asset('build/images/item/item_bureau.gif') }}" /> {{ role.label|trans({}, 'game') }}
                </div>
            </li>
            {% endif %}
        {% endfor %}
    </ul>

    <div class="row-table citizens-list">
        <div class="row header">
            <div class="padded cell rw-4 left rw-md-7">{{ 'Bürger'|trans({},'game') }}</div>
            <div class="padded cell rw-8 right">{{ 'Aktionen'|trans({},'ghost') }}</div>
        </div>
        {% for citizen in citizens|sort((a,b) => (a.alive == b.alive) ? ((a.alive) ? a.user.username|lower <=> b.user.username|lower : b.survivedDays <=> a.survivedDays) : b.alive <=> a.alive) %}
            {# @var \App\Entity\Citizen citizen  #}
            {% if citizen.alive %}
            <div class="row {% if citizen == me%} me{% endif %}">
                <div class="padded cell rw-1 rw-md-2">
                        <img alt="{{ citizen.home.prototype.level }}" src="{{ asset('build/images/home/' ~ citizen.home.prototype.icon ~ '.gif') }}" />
                </div>
                <div class="padded cell rw-3 rw-md-6 small">
                    <span>
                        {% if citizen.banished %}
                            <img alt="" src="{{ asset('build/images/icons/banished.gif') }}" />
                        {% elseif citizen.profession.heroic %}
                            <img alt="" src="{{ asset('build/images/professions/hero.gif') }}" />
                        {% else %}
                            <img alt="" src="{{ asset('build/images/professions/void.gif') }}" />
                        {% endif %}
                        <img alt="{{ citizen.profession.label|trans({},'game') }}" src="{{ asset('build/images/professions/' ~ citizen.profession.icon ~ '.gif') }}" />
                        <b>{{ citizen.user.username }}</b>
                    </span>
                </div>
                <div class="padded cell rw-3 ro-5 small right">
                    {% if citizen != me %}
                        {% if vote == null %}
                            <button class="vote" x-citizen-id='{{citizen.id}}'>{{'Abstimmen'|trans({}, 'game')}}</button>
                            <div class="tooltip">
                                {{'Klicke hier, um für diesen Bürger zu stimmen.'|trans({}, 'game')}}
                            </div>
                        {% elseif vote != null and vote.votedCitizen.id == citizen.id %}
                            <img src="{{ asset('build/images/icons/icons/small_action.gif') }}" alt="" />
                            <div class="tooltip">
                                {{'Du hast für diesen Bürger gestimmt.'|trans({}, 'game')}}
                            </div>
                        {% endif %}
                    {% endif %}
                </div>
            </div>
            {% endif %}
        {% endfor %}
    </div>

{% endblock %}
{% block js %}
    {{ parent() }}
    <script>
        const send_vote_request = function(citizen_id) {
            if (!confirm('{{ 'Bestätigen?'|trans({},'global')|e('js') }}'))
                return;

            $.ajax.easySend( '{{ path('town_citizens_send_vote') }}', {voted_citizen_id: citizen_id, role_id: {{selectedRole.id}}},
                function () {
                    $.ajax.load(null, '{{ path('town_citizen_vote', {roleId: selectedRole.id}) }}', true);
            } );
        };

        let buttons = document.querySelectorAll('[x-citizen-id]');
        for (let i = 0; i < buttons.length; i++)
            buttons[i].addEventListener('click', function() { send_vote_request( this.getAttribute('x-citizen-id') ); })
    </script>
{% endblock %}
